spamassassin-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From D Hill <d.h...@yournetplus.com>
Subject Re: heads up: .13.3 of re2c might be broken
Date Tue, 10 Jun 2008 19:39:40 GMT
On Tue, 10 Jun 2008 at 15:20 -0400, scheidell@secnap.net confabulated:

> Heads up: don't upgrade to re2c 13.3!!!
>
> I upgraded from re2c 12.1 to 13.3 and now, things that used to compile, 
> don't.
>
> re2c -i -b -o scanner17.c scanner17.re
> re2c: error: line 99, column 2: Token exceeds limit
> command failed! at /usr/local/bin/sa-compile line 285, <$fh> line 5271.
> fl# su - vscan -c "spamassassin --lint"
> [11581] warn: netset: cannot include 10.1.1.1/32 as it has already been 
> included
>
> (lint is fine)
>
>
> line 99 of scanner17.re:
>
>       "we now offer over 30,000 products for your dollar store or d" 
> {RET("__FRAUD_QFY __SARE_OEM_1C __SARE_OEM_2C __SEEK_PUQJ1X");}

I noticed that too. 13.3 is the latest version in the FreeBSD ports tree. 
I see according to http://re2c.sourceforge.net, the latest version is 
13.5. I managed to manually updated the re2c port to 13.4 and was able to 
complete a successful compile. I'm not sure about 13.5 yet.

Mime
View raw message